<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_scaning"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.airbnb.lottie.LottieAnimationView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            app:lottie_autoPlay="true"
            app:lottie_loop="true" />

        <ProgressBar
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:visibility="gone" />

        <com.airbnb.lottie.LottieAnimationView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:lottie_autoPlay="true"
            app:lottie_loop="true"
            app:lottie_rawRes="@raw/big_file_scan" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:text="please wait..."
            android:textColor="#333333"
            android:textSize="16sp" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/id_ll_result"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="7dp"
            android:layout_marginBottom="10dp">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingStart="15dp"
                android:paddingEnd="7dp"
                android:src="@mipmap/fanhui"
                android:tint="@color/black" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="Similar Photos"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/id_tv_all"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="7dp"
                android:text="All"
                android:visibility="gone" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_img_select"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="15dp"
                android:src="@mipmap/xuan_3"
                android:visibility="gone" />

        </androidx.appcompat.widget.LinearLayoutCompat>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rl_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <TextView
                android:id="@+id/id_tv_no_data"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:drawableTop="@mipmap/sada"
                android:drawablePadding="10dp"
                android:gravity="center"
                android:text="No similar photos found"
                android:textColor="#666666"
                android:textSize="13sp"
                android:visibility="gone" />
        </FrameLayout>

        <TextView
            android:id="@+id/id_tv_delete"
            android:layout_width="match_parent"
            android:layout_height="37dp"
            android:layout_marginHorizontal="46dp"
            android:layout_marginTop="20dp"
            android:layout_marginBottom="30dp"
            android:gravity="center"
            android:text="Delete"
            android:textColor="#999999"
            android:textSize="16sp"
            android:visibility="gone"
            app:bl_corners_radius="18dp"
            app:bl_enabled_solid_color="#4772FF"
            app:bl_enabled_textColor="@color/white"
            app:bl_unEnabled_solid_color="#BFBFBF"
            app:bl_unEnabled_textColor="@color/white" />
    </androidx.appcompat.widget.LinearLayoutCompat>
</androidx.constraintlayout.widget.ConstraintLayout>